curl --request GET \
--url https://api.avidoai.com/v0/topics/ids \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/topics/ids"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/topics/ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"topicIds": [
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Get topic IDs
Retrieves a list of topic IDs with optional filtering.
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Filter by topic title (case-insensitive)
"code quality"
Filter topics by scope status. When true, only returns in-scope topics. When false, only returns out-of-scope topics.
"true"
Filter topics by task verification status. When true, only returns topics where all tasks are verified. When false, only returns unverified topics.
"false"
Filter topics by knowledge base verification status. When true, only returns topics where the knowledge base has been verified. When false, only returns unverified topics.
"false"
Filter topics by policies verification status. When true, only returns topics where the policies have been verified. When false, only returns unverified topics.
"false"
Response
Successfully retrieved topic IDs
Response containing an array of topic IDs
Array of topic IDs
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]